なかだです。

  1.6、1.7 ともに -w をつけると net/http.rb で warning が出ます。


Index: http.rb =================================================================== RCS file: /cvs/ruby/src/ruby/lib/net/http.rb,v retrieving revision 1.53 diff -u -2 -p -r1.53 http.rb --- http.rb 2001/03/13 05:48:58 1.53 +++ http.rb 2001/06/26 14:29:49 @@ -663,7 +663,7 @@ module Net d1 = m[1].to_i d2 = m[2].to_i - if m[1] and m[2] then arr.push (d1 .. d2) - elsif m[1] then arr.push (d1 .. -1) - elsif m[2] then arr.push (-d2 .. -1) + if m[1] and m[2] then arr.push(d1 .. d2) + elsif m[1] then arr.push(d1 .. -1) + elsif m[2] then arr.push(-d2 .. -1) else raise HTTPHeaderSyntaxError, 'range is not specified'
-- --- 僕の前にBugはない。 --- 僕の後ろにBugはできる。 中田 伸悦